Bug 242238 - x11/libxkbcommon: update to 0.10
Summary: x11/libxkbcommon: update to 0.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL: https://reviews.freebsd.org/D23686
Keywords: buildisok, patch
Depends on:
Blocks:
 
Reported: 2019-11-25 22:49 UTC by Jan Beich
Modified: 2020-04-15 19:52 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
v0 (2.51 KB, patch)
2019-11-25 22:49 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-11-25 22:49:27 UTC
Created attachment 209430 [details]
v0

Upstream dropped autotools in favor of Meson but USES=xorg-cat:lib,meson is not supported. See URL field for complete changelog. Tested via x11-wm/sway.

To test from X11 comfort zone try

  $ pkg install cage gtk3
  $ export XDG_RUNTIME_DIR=$(mktemp -dt .xdg-$(id -un))
  $ XKB_DEFAULT_RULES=evdev cage env GTK_BACKEND=wayland gtk3-demo
  <Press arrow keys to navigate>
Comment 1 Automation User 2019-12-10 00:56:02 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/101846544
Comment 2 Jan Beich freebsd_committer 2020-02-14 15:00:48 UTC
Moved patch to Phabricator. I don't feel like spamming here with testing results.
Comment 3 commit-hook freebsd_committer 2020-02-15 15:33:22 UTC
A commit references this bug:

Author: zeising
Date: Sat Feb 15 15:33:17 UTC 2020
New revision: 526224
URL: https://svnweb.freebsd.org/changeset/ports/526224

Log:
  x11/libxkbcommon: Update to 0.10

  Update x11/libxkbcommon to 0.10
  Switch to use the meson buildsystem, since the autotools buildsystem has
  been removed.
  Drop USES=xorg-cat until it supports the meson build system.
  Add DIST_SUBDIR and USES=pkgconfig to mimic USES=xorg-cat.
  This release does not build and install the static libraries, but they seem
  not to be used by any consumer (in the ports tree) anyway.

  Note that while it looks like wayland support is disabled, it is just a
  test, tests/interactive-wayland.c that's not built.  This test isn't
  installed even in the case it's built.
  libxkbcommon is mainly used by Wayland consumers.

  changelog:
  https://github.com/xkbcommon/libxkbcommon/compare/xkbcommon-0.8.4...xkbcommon-0.10.0

  PR:		242238
  Submitted by:	jbeich
  Differential Revision:	https://reviews.freebsd.org/D23686

Changes:
  head/x11/libxkbcommon/Makefile
  head/x11/libxkbcommon/distinfo
  head/x11/libxkbcommon/pkg-plist
Comment 4 Niclas Zeising freebsd_committer 2020-02-15 15:36:09 UTC
Committed, leave this open for a day or two just in case.